onEvent('recipes', (e) => {
  e.replaceInput({}, '#forge:/dusts/diamond', 'createaddition:diamond_grit')
  e.replaceOutput({}, '#forge:/dusts/diamond', 'createaddition:diamond_grit')
  e.replaceInput({}, '#forge:dusts/tin', 'alltheores:tin_dust')
  e.replaceOutput({}, '#forge:dusts/tin', 'alltheores:tin_dust')
  e.replaceInput({}, '#forge:dusts/nickel', 'alltheores:nickel_dust')
  e.replaceOutput({}, '#forge:dusts/nickel', 'alltheores:nickel_dust')
  e.replaceInput({}, '#forge:dusts/aluminum', 'alltheores:aluminum_dust')
  e.replaceOutput({}, '#forge:dusts/aluminum', 'alltheores:aluminum_dust')
  e.replaceInput({}, '#forge:dusts/copper', 'alltheores:copper_dust')
  e.replaceOutput({}, '#forge:dusts/copper', 'alltheores:copper_dust')
  e.replaceInput({}, '#forge:dusts/lead', 'alltheores:lead_dust')
  e.replaceOutput({}, '#forge:dusts/lead', 'alltheores:lead_dust')
  e.replaceInput({}, '#forge:dusts/osmium', 'alltheores:osmium_dust')
  e.replaceOutput({}, '#forge:dusts/osmium', 'alltheores:osmium_dust')
  e.replaceInput({}, '#forge:dusts/platinum', 'alltheores:platinum_dust')
  e.replaceOutput({}, '#forge:dusts/platinum', 'alltheores:platinum_dust')
  e.replaceInput({}, '#forge:dusts/silver', 'alltheores:silver_dust')
  e.replaceOutput({}, '#forge:dusts/silver', 'alltheores:silver_dust')
  e.replaceInput({}, '#forge:dusts/gold', 'alltheores:gold_dust')
  e.replaceOutput({}, '#forge:dusts/gold', 'alltheores:gold_dust')
  e.replaceInput({}, '#forge:dusts/zinc', 'alltheores:zinc_dust')
  e.replaceOutput({}, '#forge:dusts/zinc', 'alltheores:zinc_dust')
  e.replaceInput({}, '#forge:dusts/uranium', 'alltheores:uranium_dust')
  e.replaceOutput({}, '#forge:dusts/uranium', 'alltheores:uranium_dust')
  e.replaceInput({}, '#forge:dusts/iron', 'alltheores:iron_dust')
  e.replaceOutput({}, '#forge:dusts/iron', 'alltheores:iron_dust')
  e.replaceInput({}, '#forge:dusts/lapis', 'mekanism:dust_lapis_lazuli')
  e.replaceOutput({}, '#forge:dusts/lapis', 'mekanism:dust_lapis_lazuli')
  e.replaceInput({}, '#forge:dusts/emerald', 'mekanism:dust_emerald')
  e.replaceOutput({}, '#forge:dusts/emerald', 'mekanism:dust_emerald')
  e.replaceInput({}, '#forge:dusts/steel', 'immersiveengineering:dust_steel')
  e.replaceOutput({}, '#forge:dusts/steel', 'immersiveengineering:dust_steel')
  e.replaceInput({}, '#forge:dusts/bronze', 'mekanism:dust_bronze')
  e.replaceOutput({}, '#forge:dusts/bronze', 'mekanism:dust_bronze')
  e.replaceInput({}, '#forge:dusts/charcoal', 'mekanism:dust_charcoal')
  e.replaceOutput({}, '#forge:dusts/charcoal', 'mekanism:dust_charcoal')
  e.replaceInput({}, '#forge:dusts/sulfur', 'bloodmagic:sulfur')
  e.replaceOutput({}, '#forge:dusts/sulfur', 'bloodmagic:sulfur')
  e.replaceInput({}, '#forge:dusts/certus_quartz', 'appliedenergistics2:certus_quartz_dust')
  e.replaceOutput({}, '#forge:dusts/certus_quartz', 'appliedenergistics2:certus_quartz_dust')
  e.replaceInput({}, '#forge:dusts/niter', 'thermal:niter_dust')
  e.replaceOutput({}, '#forge:dusts/niter', 'thermal:niter_dust')
  e.replaceInput({}, '#forge:dusts/netherite', 'mekanism:dust_netherite')
  e.replaceOutput({}, '#forge:dusts/netherite', 'mekanism:dust_netherite')
  e.replaceInput({}, '#forge:dusts/iesnium', 'occultism:iesnium_dust')
  e.replaceOutput({}, '#forge:dusts/iesnium', 'occultism:iesnium_dust')
  e.replaceInput({}, '#forge:dusts/coal', 'bloodmagic:coalsand')
  e.replaceOutput({}, '#forge:dusts/coal', 'bloodmagic:coalsand')
  e.replaceInput({}, '#forge:dusts/nether_quartz', 'appliedenergistics2:nether_quartz_dust')
  e.replaceOutput({}, '#forge:dusts/nether_quartz', 'appliedenergistics2:nether_quartz_dust')
  e.replaceInput({}, '#forge:dusts/refined_obsidian', 'mekanism:dust_refined_obsidian')
  e.replaceOutput({}, '#forge:dusts/refined_obsidian', 'mekanism:dust_refined_obsidian')
  e.replaceInput({}, '#forge:dusts/obsidian', 'create:powdered_obsidian')
  e.replaceOutput({}, '#forge:dusts/obsidian', 'create:powdered_obsidian')
  e.replaceInput({}, '#forge:dusts/fluix', 'appliedenergistics2:fluix_dust')
  e.replaceOutput({}, '#forge:dusts/fluix', 'appliedenergistics2:fluix_dust')
  e.replaceInput({}, '#forge:dusts/ender', 'appliedenergistics2:ender_dust')
  e.replaceOutput({}, '#forge:dusts/ender', 'appliedenergistics2:ender_dust')
  e.replaceInput({}, '#forge:dusts/lithium', 'mekanism:dust_lithium')
  e.replaceOutput({}, '#forge:dusts/lithium', 'mekanism:dust_lithium')
  e.replaceInput({}, 'thermal:gold_plate', 'immersiveengineering:plate_gold')
  e.replaceOutput({}, 'thermal:gold_plate', 'immersiveengineering:plate_gold')
  e.replaceInput({}, 'create:golden_sheet', 'immersiveengineering:plate_gold')
  e.replaceOutput({}, 'create:golden_sheet', 'immersiveengineering:plate_gold')
  e.replaceInput({}, 'thermal:iron_plate', 'immersiveengineering:plate_iron')
  e.replaceOutput({}, 'thermal:iron_plate', 'immersiveengineering:plate_iron')
  e.replaceInput({}, 'create:iron_sheet', 'immersiveengineering:plate_iron')
  e.replaceOutput({}, 'create:iron_sheet', 'immersiveengineering:plate_iron')
  e.replaceInput({}, 'thermal:copper_plate', 'immersiveengineering:plate_copper')
  e.replaceOutput({}, 'thermal:copper_plate', 'immersiveengineering:plate_copper')
  e.replaceInput({}, 'create:copper_sheet', 'immersiveengineering:plate_copper')
  e.replaceOutput({}, 'create:copper_sheet', 'immersiveengineering:plate_copper')
  e.replaceInput({}, 'thermal:lead_plate', 'immersiveengineering:plate_lead')
  e.replaceOutput({}, 'thermal:lead_plate', 'immersiveengineering:plate_lead')
  e.replaceInput({}, 'thermal:silver_plate', 'immersiveengineering:plate_silver')
  e.replaceOutput({}, 'thermal:silver_plate', 'immersiveengineering:plate_silver')
  e.replaceInput({}, 'thermal:nickel_plate', 'immersiveengineering:plate_nickel')
  e.replaceOutput({}, 'thermal:nickel_plate', 'immersiveengineering:plate_nickel')
  e.replaceInput({}, 'thermal:electrum_plate', 'immersiveengineering:plate_electrum')
  e.replaceOutput({}, 'thermal:electrum_plate', 'immersiveengineering:plate_electrum')
  e.replaceInput({}, 'thermal:constantan_plate', 'immersiveengineering:plate_constantan')
  e.replaceOutput({}, 'thermal:constantan_plate', 'immersiveengineering:plate_constantan')
  e.replaceInput({}, 'thermal:bronze_plate', 'immersiveengineering:plate_bronze')
  e.replaceOutput({}, 'thermal:bronze_plate', 'immersiveengineering:plate_bronze')
  e.replaceInput({}, '#forge:ingots/copper', 'alltheores:copper_ingot')
  e.replaceInput({}, '#forge:ingots/platinum', 'alltheores:platinum_ingot')
  e.replaceInput({}, '#forge:ingots/aluminum', 'alltheores:aluminum_ingot')
  e.replaceInput({}, '#forge:ingots/tin', 'alltheores:tin_ingot')
  e.replaceInput({}, '#forge:ingots/lead', 'alltheores:lead_ingot')
  e.replaceInput({}, '#forge:ingots/osmium', 'alltheores:osmium_ingot')
  e.replaceInput({}, '#forge:ingots/zinc', 'alltheores:zinc_ingot')
  e.replaceInput({}, '#forge:ingots/silver', 'alltheores:silver_ingot')
  e.replaceInput({}, '#forge:ingots/steel', 'immersiveengineering:ingot_steel')
  e.replaceInput({}, '#forge:ingots/nickel', 'alltheores:nickel_ingot')
  e.replaceInput({}, '#forge:ingots/uranium', 'alltheores:uranium_ingot')
  e.replaceInput({}, 'relics:steel_ingot', 'immersiveengineering:ingot_steel')
  e.replaceOutput({}, '#forge:ingots/copper', 'alltheores:copper_ingot')
  e.replaceOutput({}, '#forge:ingots/platinum', 'alltheores:platinum_ingot')
  e.replaceOutput({}, '#forge:ingots/aluminum', 'alltheores:aluminum_ingot')
  e.replaceOutput({}, '#forge:ingots/tin', 'alltheores:tin_ingot')
  e.replaceOutput({}, '#forge:ingots/lead', 'alltheores:lead_ingot')
  e.replaceOutput({}, '#forge:ingots/osmium', 'alltheores:osmium_ingot')
  e.replaceOutput({}, '#forge:ingots/zinc', 'alltheores:zinc_ingot')
  e.replaceOutput({}, '#forge:ingots/silver', 'alltheores:silver_ingot')
  e.replaceOutput({}, '#forge:ingots/steel', 'immersiveengineering:ingot_steel')
  e.replaceOutput({}, 'relics:steel_ingot', 'immersiveengineering:ingot_steel')
  e.replaceOutput({}, '#forge:ingots/nickel', 'alltheores:nickel_ingot')
  e.replaceOutput({}, '#forge:ingots/uranium', 'alltheores:uranium_ingot')
  e.replaceInput({}, 'thermal:machine_frame', 'mekanism:steel_casing')
  e.replaceInput({}, 'industrialforegoing:machine_frame_pity', 'mekanism:steel_casing')
  e.replaceInput({}, 'rftoolsbase:machine_frame', 'mekanism:steel_casing')
  e.replaceInput({}, 'mysticalagriculture:machine_frame', 'mekanism:steel_casing')
  e.replaceInput({output: 'mekanism:steel_casing'}, 'mekanism:osmium_ingot', 'immersiveengineering:logic_unit')
  e.replaceInput({}, 'powah:uraninite', 'alltheores:uranium_ingot')
  e.replaceOutput({}, 'powah:uraninite', 'alltheores:uranium_ingot')
})